This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1480614 - (CVE-2017-7672) CVE-2017-7672 struts: Denial of service in built-in URLValidator
CVE-2017-7672 struts: Denial of service in built-in URLValidator
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170811,reported=2...
: Reopened, Security
Depends On: 1480616 1480615
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 09:41 EDT by Pedro Sampaio
Modified: 2017-08-12 00:06 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-12 00:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-08-11 09:41:29 EDT
A flaw was found in Apache Struts 2.5 through 2.5.10.1. If an application allows enter an URL in a form field and built-in URLValidator is used, it is possible to prepare a special URL which will be used to overload server process when performing validation of the URL.

References:

http://struts.apache.org/docs/s2-047.html
https://lists.apache.org/thread.html/3795c4dd46d9ec75f4a6eb9eca11c11edd3e796c6c1fd7b17b5dc50d@%3Cannouncements.struts.apache.org%3E
Comment 1 Pedro Sampaio 2017-08-11 09:41:44 EDT
Created struts tracking bugs for this issue:

Affects: epel-7 [bug 1480616]
Affects: fedora-all [bug 1480615]
Comment 2 gil cattaneo 2017-08-12 00:06:40 EDT
0ps ... Sorry

Note You need to log in before you can comment on or make changes to this bug.